WordPress.org

Ready to get started?Download WordPress

Plugin Directory

wpMandrill

The wpMandrill plugin sends emails that are generated by WordPress through Mandrill, a transactional email service powered by MailChimp.

Why do I need a Mandrill API key?

In order to use this plugin, you have to provide one of your Mandrill API keys. That's currently the only way we can get access to your Mandrill account.

Do I need a MailChimp account?

Nop.

Are all emails routed through Mandrill?

Yes. We try to send every single email sent through your WordPress installation. We also try to process your headers and attachments.

If the sending fails for any reason, the plugin will try to send it again using the WordPress wp_mail function.

= What if I need to send some of my emails using the native wp_mail() function?

Use the mandrill_payload filter and add a new parameter called 'force_native' to the $message variable, and set it to true:

$message['force_native'] = true;

My emails are broken and show weird CSS code

In version 1.09, we added a setting that allows you to tell the plugin if you want to replace your line feeds by <br/>. Try playing with that switch.

If it works for certain emails but doesn't work for others, you might want to modify this setting using the mandrill_nl2br filter. For example, if you don't want to use this filter for the "forgot password" emails, add something like this to your theme's functions.php file:

function my_function($nl2br, $message) { if ( in_array('wp_retrieve_password', $message['tags']['automatic']) ) { $nl2br = false; }
return $nl2br; } add_filter('mandrill_nl2br', 'my_function');

Is there any way to check what's going on?

If we couldn't send your email through Mandrill, we'll try to leave the Mandrill response in your server's log so that's your first stop.

Additionaly, if you set the WP_DEBUG constant (defined in your wp-config.php file) to true, you'll see some messages added by the plugin in key parts of the process.

= I am getting an Invalid API Key message and I'm sure my API is valid!

Please verify the following:

  1. That your API key is active (this can be viewed on the SMTP & API Credentials page in your Mandrill account);
  2. That your web server has either cURL installed or is able to use fsock*() functions (if you don't know what this means, you may want to check with your hosting provider for more details);
  3. That the domain name you're using above is listed in the Sending Domains for your Mandrill account.

Requires: 3.0 or higher
Compatible up to: 3.8.3
Last Updated: 2014-1-23
Downloads: 26,872

Ratings

4 stars
4.6 out of 5 stars

Support

1 of 17 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

0,1,0 100,1,1
100,1,1
100,1,1 100,1,1
100,1,1 100,1,1 100,1,1
100,2,2 100,2,2 100,3,3 100,1,1 100,2,2
100,4,4
100,8,8
100,1,1